Summary: An X game similar to the C64 Crossroads game.
Name: xroads
Version: 0.6
Release: 5
Copyright: GPL
Group: Amusements/Games
Source: http://www.autobahn.mb.ca/~foxtrot/%{name}-v%{version}.tar.gz
Source1: xroads-RUNME
Patch0: xroads-0.6-config.patch
Url: http://www.autobahn.mb.ca/~foxtrot/xroads.html
BuildRoot: %{_tmppath}/%{name}-root

%description
XRoads is similar to the Commodore 64 (C64) game Crossroads and its
sequel Pandemonium.  XRoads is basically a two-dimensional, overhead
view game set in a maze, in which you fight against a gang of monsters
and run around collecting powerups.

%prep
%setup -q -n %{name}-v%{version}
%patch -p1 -b .config

%build
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGELOG README BUGS 
%{_bindir}/*
%{_libdir}/games/*

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- rebuilt

* Tue Jun 13 2000 Than Ngo <than@redhat.de>
- rebuilt for 7.0
- clean up specfile
- remove ExclusiveArch
 
* Wed Aug 25 1999 Tim Powers <timp@redhat.com>
- now removed files successfully on uninstall

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- updated to 0.6 
- built for 6.1

* Mon Apr 12 1999 Michael Maher <mike@redhat.com>
- built for 6.0 glibc 2.1

* Tue Oct 06 1998 Michael Maher <mike@redhat.com>
- updated package

* Wed Jul 09 1998 Michael Maher <mike@redhat.com>
- built package
